/**
 * 
 */
package com.azwul.api.model.tx;

import java.util.HashSet;
import java.util.Set;

import com.azwul.api.model.StoreStrategy;

/**
 * @author Theotime Jurzak
 * 
 */
public class AzDealTransaction extends AzTransaction {

	protected Set<String> recipientEmails = new HashSet<String>();

	protected String message;

	protected boolean mailAttachement = true;

	protected StoreStrategy storeStrategy = StoreStrategy.NO_STORE;

	/**
	 * @return the recipientEmails
	 */
	public Set<String> getRecipientEmails() {
		return recipientEmails;
	}

	/**
	 * @param recipientEmails
	 *            the recipientEmails to set
	 */
	public void setRecipientEmails(Set<String> recipientEmails) {
		this.recipientEmails = recipientEmails;
	}

	/**
	 * @param recipientEmail
	 */
	public void addRecipientEmail(String recipientEmail) {
		recipientEmails.add(recipientEmail);
	}

	/**
	 * @return the message
	 */
	public String getMessage() {
		return message;
	}

	/**
	 * @param message
	 *            the message to set
	 */
	public void setMessage(String message) {
		this.message = message;
	}

	/**
	 * @return the mailAttachement
	 */
	public boolean isMailAttachement() {
		return mailAttachement;
	}

	/**
	 * @param mailAttachement
	 *            the mailAttachement to set
	 */
	public void setMailAttachement(boolean mailAttachement) {
		this.mailAttachement = mailAttachement;
	}

	/**
	 * @return the storeStrategy
	 */
	public StoreStrategy getStoreStrategy() {
		return storeStrategy;
	}

	/**
	 * @param storeStrategy
	 *            the storeStrategy to set
	 */
	public void setStoreStrategy(StoreStrategy storeStrategy) {
		this.storeStrategy = storeStrategy;
	}

}
