/**
 * 
 */
package com.azwul.api.model.tx;

import com.azwul.api.model.StoreStrategy;

/**
 * @author Theotime Jurzak
 * 
 */
public class AzSignTransaction extends AzTransaction {

	protected String recipientEmail;

	protected String message;

	protected boolean mailAttachement = true;

	protected StoreStrategy storeStrategy = StoreStrategy.NO_STORE;

	/**
	 * @return the recipientEmail
	 */
	public String getRecipientEmail() {
		return recipientEmail;
	}

	/**
	 * @param recipientEmail
	 *            the recipientEmail to set
	 */
	public void setRecipientEmail(String recipientEmail) {
		this.recipientEmail = recipientEmail;
	}

	/**
	 * @return the message
	 */
	public String getMessage() {
		return message;
	}

	/**
	 * @param message
	 *            the message to set
	 */
	public void setMessage(String message) {
		this.message = message;
	}

	/**
	 * @return the mailAttachement
	 */
	public boolean isMailAttachement() {
		return mailAttachement;
	}

	/**
	 * @param mailAttachement
	 *            the mailAttachement to set
	 */
	public void setMailAttachement(boolean mailAttachement) {
		this.mailAttachement = mailAttachement;
	}

	/**
	 * @return the storeStrategy
	 */
	public StoreStrategy getStoreStrategy() {
		return storeStrategy;
	}

	/**
	 * @param storeStrategy
	 *            the storeStrategy to set
	 */
	public void setStoreStrategy(StoreStrategy storeStrategy) {
		this.storeStrategy = storeStrategy;
	}

}
