/**
 * 
 */
package com.azwul.api.service;

import com.azwul.api.model.Credentials;
import com.azwul.api.model.SessionToken;
import com.azwul.api.model.result.SignatureResult;
import com.azwul.api.model.tx.AzDealTransaction;

/**
 * @author Theotime Jurzak
 * 
 */
public interface AzDealService {

	/**
	 * @param azDealTransaction
	 * @param credentials
	 * @return
	 */
	public SignatureResult doSign(AzDealTransaction azDealTransaction,
			Credentials credentials);

	/**
	 * @param azDealTransaction
	 * @param sessionToken
	 * @return
	 */
	public SignatureResult doSign(AzDealTransaction azDealTransaction,
			SessionToken sessionToken);

	/**
	 * @param dealId
	 * @param message
	 * @param credentials
	 * @return
	 */
	public SignatureResult processSign(String dealId, String message,
			Credentials credentials);

}
