/**
 * 
 */
package com.azwul.api.service;

import com.azwul.api.model.Credentials;
import com.azwul.api.model.SessionToken;
import com.azwul.api.model.result.SignatureResult;
import com.azwul.api.model.tx.AzRmailTransaction;

/**
 * @author Theotime Jurzak
 * 
 */
public interface AzRmailService extends AzService {

	/**
	 * @param azRmailTransaction
	 * @param credentials
	 * @return
	 */
	public SignatureResult sendRmail(AzRmailTransaction azRmailTransaction,
			Credentials credentials);

	/**
	 * @param azRmailTransaction
	 * @param sessionToken
	 * @return
	 */
	public SignatureResult sendRmail(AzRmailTransaction azRmailTransaction,
			SessionToken sessionToken);

}
