/**
 * 
 */
package com.azwul.api.model;

/**
 * @author Theotime Jurzak
 * 
 */
public class HttpConfiguration {

	protected String baseHost = "https://www.azwul.com";

	protected ProxyConfiguration proxyConfiguration = null;

	/**
	 * @return the baseHost
	 */
	public String getBaseHost() {
		return baseHost;
	}

	/**
	 * @param baseHost
	 *            the baseHost to set
	 */
	public void setBaseHost(String baseHost) {
		this.baseHost = baseHost;
	}

	/**
	 * @return the proxyConfiguration
	 */
	public ProxyConfiguration getProxyConfiguration() {
		return proxyConfiguration;
	}

	/**
	 * @param proxyConfiguration
	 *            the proxyConfiguration to set
	 */
	public void setProxyConfiguration(ProxyConfiguration proxyConfiguration) {
		this.proxyConfiguration = proxyConfiguration;
	}

	/**
	 * @return
	 */
	public String getDomain() {
		return baseHost.substring(baseHost.indexOf("://")).split("/")[0];
	}

}
