/**
 * 
 */
package com.azwul.api.service;

import java.io.File;

import com.azwul.api.model.Credentials;
import com.azwul.api.model.SessionToken;
import com.azwul.api.model.result.LoginResult;

/**
 * @author Theotime Jurzak
 * 
 */
public interface AzService extends AzBaseService {

	/**
	 * @param p12
	 * @param password
	 * @param apiId
	 * @return
	 */
	public LoginResult login(File p12, String password, String apiId);

	/**
	 * @param credentials
	 * @return
	 */
	public LoginResult login(Credentials credentials);

	/**
	 * @param sessionToken
	 */
	public void logout(SessionToken sessionToken);

	/**
	 * @param sessionToken
	 * @return
	 */
	public LoginResult isLogged(SessionToken sessionToken);

}
