/**
 * 
 */
package com.azwul.api.service;

import com.azwul.api.model.Credentials;
import com.azwul.api.model.SessionToken;
import com.azwul.api.model.result.SignatureResult;
import com.azwul.api.model.tx.AzSignPlusTransaction;
import com.azwul.api.model.tx.AzSignTransaction;

/**
 * @author Theotime Jurzak
 * 
 */
public interface AzSignService extends AzService {

	/**
	 * @param azSignTransaction
	 * @param credentials
	 * @return
	 */
	public SignatureResult doSign(AzSignTransaction azSignTransaction,
			Credentials credentials);

	/**
	 * @param azSignTransaction
	 * @param sessionToken
	 * @return
	 */
	public SignatureResult doSign(AzSignTransaction azSignTransaction,
			SessionToken sessionToken);

	/**
	 * @param azSignPlusTransaction
	 * @param credentials
	 * @return
	 */
	public SignatureResult doSignPlus(
			AzSignPlusTransaction azSignPlusTransaction, Credentials credentials);

	/**
	 * @param azSignPlusTransaction
	 * @param sessionToken
	 * @return
	 */
	public SignatureResult doSignPlus(
			AzSignPlusTransaction azSignPlusTransaction,
			SessionToken sessionToken);

}
